export default function getStatus(isFast: boolean, isStart: boolean, data: any) {
    if (isFast) {
        if (data.fast.status == 'COMPLETED') {
            return 'done'
        }
        else if (data.fast.status == 'NOT_STARTED') {
            return 'un_done'
        }
        else if (data.fast.status == 'NOT_COMPLETED') {
            return isStart ? 'done' : 'un_done'
        }
        else if (data.fast.status == 'WAIT_FOR_END') {
            return isStart ? 'done' : 'padding'
        }
    }
    else {
        if (data.sleep.status == 'COMPLETED') {
            return 'done'
        }
        else if (data.sleep.status == 'NOT_STARTED') {
            return 'un_done'
        }
        else if (data.sleep.status == 'NOT_COMPLETED') {
            return isStart ? 'done' : 'un_done'
        }
        else if (data.sleep.status == 'WAIT_FOR_END') {
            return isStart ? 'done' : 'padding'
        }
    }
    // if (isFast) {
    //     if (data.fast.status == 'COMPLETED') {
    //         return 'done'
    //     }
    // }
    // else {
    //     if (data.sleep.status == 'COMPLETED') {
    //         return 'done'
    //     }
    //     else if (data.sleep.status == 'NOT_STARTED') {
    //         return 'un_done'
    //     }
    //     else if (data.sleep.status == 'NOT_COMPLETED') {
    //         return isStart ? 'done' : 'un_done'
    //     }
    // }
    // if (value == 'WAIT_FOR_START') {
    //     return 'padding'
    // }
    // else if (value == 'ONGOING') {
    //     if (isFast && isStart) {
    //         return 'done'
    //     }
    //     else if (!isFast && isStart) {
    //         return 'done'
    //     }
    // }
    // else if (value == 'ONGOING1') {
    //     if (isFast && isStart) {
    //         return 'done'
    //     }
    // }
    // else if (value == 'ONGOING2') {
    //     if (isStart) {
    //         return 'done'
    //     }
    // }
    // else if (value == 'ONGOING3') {
    //     if (isFast && !isStart) {
    //         return 'padding'
    //     }
    //     else {
    //         return 'done'
    //     }
    // }

    return 'padding'
}